Skip to main content
`Ctrl`+`K`

# NEPSLPSetEPSLeft

Associate a linear eigensolver object (`EPS`) to the nonlinear eigenvalue solver, used to compute left eigenvectors in the two-sided variant of SLP.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSLPSetEPSLeft(NEP nep,EPS eps)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- eps - the linear eigensolver context

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSLP`, `NEPSLPGetEPSLeft()`, `NEPSetTwoSided()`

## Level

advanced

## Location

src/nep/impls/slp/slp.c

## Implementations

NEPSLPSetEPSLeft_SLP() in src/nep/impls/slp/slp.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages